Changeset 153175


Ignore:
Timestamp:
Sep 26, 2016, 8:58:52 AM (4 years ago)
Author:
ryandesign@…
Message:

hatari: change "MacOSX" to "macOS" in comments

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/emulators/hatari/Portfile

    r153174 r153175  
    44# tested on 10.4 PPC, 10.4 Intel, 10.5 Intel, 10.6 with LibCxx upgrade, 10.7, 10.11
    55# hatari command line builds on all systems
    6 # hatari python UI not needed with MacOSX GUI or command line versions - has unspecified python version so not included
    7 # hatari MacOSX GUI builds on >= 10.6 as NSWindowDelegate is used and is only 10.6 onwards
    8 # MacOSX GUI does not build with gcc* or llvm-gcc-4.2
     6# hatari python UI not needed with macOS GUI or command line versions - has unspecified python version so not included
     7# hatari macOS GUI builds on >= 10.6 as NSWindowDelegate is used and is only 10.6 onwards
     8# macOS GUI does not build with gcc* or llvm-gcc-4.2
    99# winuae works on all with gcc flag modification below.
    1010# SDL2 works on 10.6, 10.7 and 10.11, and likely all in between, but not 10.5
     
    3737                        port:readline
    3838
    39 # 1. fix hard-coded installation directory for MacOSX bundle
     39# 1. fix hard-coded installation directory for macOS bundle
    4040# 2. delete warning flag in winuae emulator code not supported by GCC42
    41 # 3. disable python ui - not needed for MacOSX
     41# 3. disable python ui - not needed for macOS
    4242post-patch {
    4343    reinplace "s|/Applications|${applications_dir}|g" ${worksrcpath}/src/CMakeLists.txt
     
    4646}
    4747
    48 # default to install MacOSX GUI application, and then adjust for OS variations
     48# default to install macOS GUI application, and then adjust for OS variations
    4949platform darwin {
    5050    if { ${os.major} <= 9 } {
    51         # 10.4 and 10.5 cannot build the MacOSX GUI at present
     51        # 10.4 and 10.5 cannot build the macOS GUI at present
    5252        default_variants       +commandlineapp
    5353    }
    5454   
    5555    if { ${os.major} >= 10 } {
    56         # *gcc* does not appear to build the MacOSX GUI, so blacklist it on 10.6+
     56        # *gcc* does not appear to build the macOS GUI, so blacklist it on 10.6+
    5757        compiler.blacklist     *gcc*
    5858    }
Note: See TracChangeset for help on using the changeset viewer.